<?php
require('../class/connect.php');
require('../class/db_sql.php');
require('../class/functions.php');
require('../class/dpfun.php');
require('../class/rebookname.php');
require('../class/t_functions.php');
require LoadLang('pub/fun.php');
require('../data/dbcache/class.php');
require('../data/dbcache/MemberLevel.php');
$link=db_connect();
$empire=new mysqlquery();
$classid=(int)$_GET['classid'];
$id=(int)$_GET['id'];
$page=(int)$_GET['page'];
$page=RepPIntvar($page);
$mid=1;
$tbname='bookname';
//验证IP
eCheckAccessDoIp('showinfo');
if(!$classid||!$id)
{
	printerror('此书不存在','',1,0,1);
}
$r=$empire->fetch1("select * from {$dbtbpre}ecms_".$tbname." where id='$id' limit 1");
if(!$r['id']||$classid!=$r['classid'])
{
	printerror('此书不存在','',1,0,1);
}
//是否支持动态内容页
if($class_r[$classid][bdt]==0)
{
	$titleurl=GotoGetBookUrl($classid,$id);
	Header("Location:$titleurl");
	exit();
}
//副表
$finfor=$empire->fetch1("select * from {$dbtbpre}ecms_".$tbname."_data_1 where id='$r[id]' limit 1");
$r=array_merge($r,$finfor);
//索引表
$index=$empire->fetch1("select * from {$dbtbpre}ecms_".$tbname."_index where id='$r[id]' limit 1");
$bdtbname=$emod_r[$index[tid]][tbname];
//存文本
if($emod_r[$mid]['savetxtf'])
{
	$stf=$emod_r[$mid]['savetxtf'];
	if($r[$stf])
	{
		$r[$stf]=GetTxtFieldText($r[$stf]);
	}
}
//初始值
$search="&classid=$classid&id=$id";
$line=1;
$start=0;
$page_line=6;//每页显示链接数
$offset=$page*$line;//总偏移量
$GLOBALS['navclassid']=$r[classid];
$GLOBALS['navinfor']=$r;

//取得内容模板
$r[newstempid]=$class_r[$r[classid]][dtnewstempid]?$class_r[$r[classid]][dtnewstempid]:$class_r[$r[classid]][newstempid];
$newstemp_r=$empire->fetch1("select tempid,temptext,showdate from ".GetTemptb("enewsnewstemp")." where tempid='$r[newstempid]'");

//替换模板变量
function DtGetHtml($add,$index,$newstemp_r,$mid,$tbname,$line,$page_line,$start,$page,$search){
	global $public_r,$class_r,$class_zr,$class_tr,$fun_r,$empire,$dbtbpre,$emod_r,$level_r;
	//更新点击
	$empire->query("update {$dbtbpre}ecms_".$tbname." set onclick=onclick+1 where id='$add[id]' limit 1");
	$add['onclick']=$add['onclick']+1;	
	//模板参数
	$newstemptext=$newstemp_r[temptext];
	$formatdate=$newstemp_r[showdate];
	//页面
	$pagetitle=ehtmlspecialchars($add[title]);
	$url=ReturnClassLink($add[classid]);//导航
	$newstemptext=DtInfo_ReplaceSvars($newstemptext,$url,$add[classid],$pagetitle,$add[keyboard],$pagetitle);
	//防采集列表
	if($index[ln]==1){
		$vlist=Fanglb1($add[id],$index[tid],$add[allvid]);
	}elseif($index[ln]==2){
		$vlist=Fanglb2($add[id],$index[tid],$add[allvid]);
	}elseif($index[ln]==4){
		$vlist=Fanglb4($add[id],$index[tid],$add[allvid]);
	}else{
		$vlist=Fanglb3($add[id],$index[tid],$add[allvid]);
	}
	if(IsTags($add[id])){$grtag=GetTags($add[id]);}else{$grtag='暂无';}

	$grwname=GetWname($index[wid]);
	$grwid=$index[wid];
	$grwurl='';
	if($grwid){$grwurl=$public_r[newsurl].'writer/'.$grwid.'/';}
	if($grwid){
		$wlink='<a href="'.$grwurl.'" target="_blank" title="'.$grwname.'">'.$grwname.'</a>';
	}else{
		$wlink='';
	}

	//分页字段
	$ptitle=$add['title'];
	$truepage='';
	$titleselect='';
	$expage='[!--empirenews.page--]';//分页符
	$pf=$emod_r[$mid]['pagef'];
	if($pf&&strstr($add[$pf],$expage))//有分页
	{
		$n_r=explode($expage,$add[$pf]);
		$thispagenum=count($n_r);
		if($page<0||$page>$thispagenum-1)
		{
			$page=0;
		}
		$add[$pf]=$n_r[$page];
		if($page)
		{
			$ti_r=explode('[/!--empirenews.page--]',$n_r[$page]);
			if(count($ti_r)>=2)
			{
				$ptitle=$ti_r[0];
				$add[$pf]=$ti_r[1];
			}
			else
			{
				$ptitle=$add['title'].'('.($page+1).')';
			}
		}
		//伪静态
		$pagefunr=eReturnRewriteInfoUrl($add['classid'],$add['id'],0);
		$pagefunr['repagenum']=0;
		//取得分页
		$truepage=InfoUsePage($thispagenum,$line,$page_line,$start,$page,$search,$pagefunr);
		//下拉式分页
		if(strstr($newstemptext,'[!--title.select--]'))
		{
			for($j=0;$j<$thispagenum;$j++)
			{
				$spurl=eReturnRewritePageLink($pagefunr,$j);
				if($j==0)
				{
					$sptitle=$add[title];
				}
				else
				{
					$ti_r=explode('[/!--empirenews.page--]',$n_r[$j]);
					$sptitle=count($ti_r)>=2?$ti_r[0]:$add[title].'('.($j+1).')';
				}
				$select='';
				if($page==$j)
				{
					$ptitle=$sptitle;
					$select=' selected';
				}
				$titleselect.='<option value="'.$spurl.'"'.$select.'>'.$sptitle.'</option>';
			}
			$titleselect='<select name="titleselect" onchange="self.location.href=this.options[this.selectedIndex].value">'.$titleselect.'</select>';
		}
		//下一页链接
		if($page==$thispagenum-1)
		{
			$thisnextlink=eReturnRewritePageLink($pagefunr,0);
		}
		else
		{
			$thisnextlink=eReturnRewritePageLink($pagefunr,$page+1);
		}
	}
	//返回替换验证字符
	$docheckrep=ReturnCheckDoRepStr();
	if($add[newstext])
	{
		if(empty($public_r['dorepword'])&&$docheckrep[3])
		{
			$add[newstext]=ReplaceWord($add[newstext]);//过滤字符
		}
		if(empty($public_r['dorepkey'])&&$docheckrep[4]&&!empty($add[dokey]))//替换关键字
		{
			$add[newstext]=ReplaceKey($add['newstext'],$add['classid']);
		}
		if($public_r['opencopytext'])
		{
			$add[newstext]=AddNotCopyRndStr($add[newstext]);//随机复制字符
		}
	}
	//变量
	$tempf=$emod_r[$mid]['tempf'];
	$fr=explode(',',$tempf);
	$fcount=count($fr)-1;
	//变量替换
	$newstempstr=$newstemptext;//模板
	for($i=1;$i<$fcount;$i++)
	{
		$f=$fr[$i];
		$value=$add[$f];
		if($f=='downpath')//下载地址
		{
			if(strstr($newstemptext,'[!--downpath--]'))
			{
				$value=ReturnDownSoftHtml($add);
			}
		}
		elseif($f=='onlinepath')//观看地址
		{
			if(strstr($newstemptext,'[!--onlinepath--]'))
			{
				$value=ReturnOnlinepathHtml($add);
			}
		}
		elseif($f=='morepic')//图片集
		{
			if(strstr($newstemptext,'[!--morepic--]'))
			{
				$value=ReturnMorepicpathHtml($add);
			}
		}
		elseif($f=='newstime')//时间
		{
			if(strstr($newstemptext,'[!--newstime--]'))
			{
				$value=date($formatdate,$value);
			}
		}
		elseif($f=='befrom')//信息来源
		{
			if($docheckrep[1]&&strstr($newstemptext,'[!--befrom--]'))
			{
				$value=ReplaceBefrom($value);
			}
		}
		elseif($f=='writer')//作者
		{
			if($docheckrep[2]&&strstr($newstemptext,'[!--writer--]'))
			{
				$value=ReplaceWriter($value);
			}
		}
		elseif($f=='titlepic')//标题图片
		{
			if(empty($value))
			{$value=$public_r[newsurl].'e/data/images/notimg.gif';}
		}
		elseif($f=='title')//标题
		{
		}
		else//正常字段
		{
			if(!strstr($emod_r[$mid]['editorf'],','.$f.','))
			{
				if(strstr($emod_r[$mid]['tobrf'],','.$f.','))//加br
				{
					$value=nl2br($value);
				}
				if(!strstr($emod_r[$mid]['dohtmlf'],','.$f.','))//去除html
				{
					$value=RepFieldtextNbsp(ehtmlspecialchars($value));
				}
			}
		}
		$newstempstr=str_replace('[!--'.$f.'--]',$value,$newstempstr);
	}
	//栏目
	$grclassurl=ClassUrl($add[classid]);
	$newstempstr=str_replace('[!--class.id--]',$add[classid],$newstempstr);
	$newstempstr=str_replace('[!--class.name--]',$class_r[$add[classid]][classname],$newstempstr);
	$newstempstr=str_replace('[!--class.url--]',$grclassurl,$newstempstr);

	//本书
	$titleurl=sys_ReturnBqTitleLink($add);
	$newstempstr=str_replace('[!--id--]',$add[id],$newstempstr);
	$newstempstr=str_replace('[!--username--]',$add[username],$newstempstr);
	$newstempstr=str_replace('[!--userid--]',$add[userid],$newstempstr);
	$newstempstr=str_replace('[!--keyboard--]',$add[keyboard],$newstempstr);
	$newstempstr=str_replace('[!--titleurl--]',$titleurl,$newstempstr);
	$newstempstr=str_replace('[!--plnum--]',$add[plnum],$newstempstr);
	$newstempstr=str_replace('[!--totaldown--]',$add[totaldown],$newstempstr);
	$newstempstr=str_replace('[!--onclick--]',$add[onclick],$newstempstr);

	//站点
	$newstempstr=str_replace('[!--news.url--]',$public_r[newsurl],$newstempstr);
	$newstempstr=str_replace('[!--sitename--]',$public_r[sitename],$newstempstr);

	$string=$newstempstr;
	//替换变量
	$string=str_replace('[!--p.title--]',strip_tags($ptitle),$string);
	$string=str_replace('[!--next.page--]',$thisnextlink,$string);
	$string=str_replace('[!--page.url--]',$truepage,$string);
	$string=str_replace('[!--title.select--]',$titleselect,$string);

	//tags
	$string=str_replace('[!--tags--]',$grtag,$string);

	//作者
	$string=str_replace('[!--zuozhe.name--]',$grwname,$string);
	$string=str_replace('[!--zuozhe.id--]',$grwid,$string);
	$string=str_replace('[!--zuozhe.url--]',$grwurl,$string);
	$string=str_replace('[!--zuozhe.link--]',$wlink,$string);
	
	//章节列表
	$string=str_replace('[!--bookdata.list--]',$vlist,$string);
	return $string;
}

if(empty($newstemp_r['tempid']))
{
	printerror('ErrorUrl','',1);
}
//页面支持标签
if($public_r['dtncanbq'])
{
	$newstemp_r[temptext]=DtNewsBq('text'.$newstemp_r[tempid],$newstemp_r[temptext],1);
}
else
{
	if($public_r['searchtempvar'])
	{
		$newstemp_r[temptext]=ReplaceTempvar($newstemp_r[temptext]);
	}
}
$string=DtGetHtml($r,$index,$newstemp_r,$mid,$tbname,$line,$page_line,$start,$page,$search);
echo stripSlashes($string);
db_close();
$empire=null;
?>